import java.net.ServerSocket;
import java.net.Socket;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.PrintWriter;
import java.io.IOException;

public class EncodeServer {
	public static void main(String[] args) {
		try {
			ServerSocket server = new ServerSocket(1000);

			Socket incoming = server.accept();
			InputStreamReader isr = new InputStreamReader(incoming.getInputStream());
			BufferedReader in = new BufferedReader(isr);
			PrintWriter out = new PrintWriter(incoming.getOutputStream(), true);
			out.println("Hello, client! Enter 'Bye' to exit.");

			while (true) {
				String str = in.readLine();
				System.out.println(str);
				if (str != null) {
					if (str.toUpperCase().equals("BYE")) {
						out.println("Good bye!");
						break;
					}
					String s = "";
					for (int i=0; i<str.length(); i++) {
						char c = str.charAt(i);
						if (((c >= 'A') && (c <= 'Z')) || ((c >= 'a') && (c <= 'z'))) {
							switch (c) {
								case 'z': c = 'a';
													break;
								case 'Z': c = 'A';
													break;
								default: c++;
							}
						}
						s += c;
					}
					out.println(s);
				}
			}
			incoming.close();
		} catch (IOException e) {
			System.err.println("顼ȯޤ: " + e);
		}
	}
}
