import java.awt.event.MouseListener;
import java.awt.event.MouseEvent;
import java.awt.Container;
import java.awt.Color;
import javax.swing.JFrame;

class MouseEventTestFrame extends JFrame implements MouseListener{
	Container c;
	boolean on = false;

	MouseEventTestFrame() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(400, 300);
		c = getContentPane();
		c.setBackground(Color.black);
		addMouseListener(this);
	}
	public void mousePressed(MouseEvent e) {}
	public void mouseReleased(MouseEvent e) {}
	public void mouseClicked(MouseEvent e) {
		if (on) {
			c.setBackground(Color.black);
			on = false;
		} else {
			c.setBackground(Color.white);
			on = true;
		}
	}
	public void mouseEntered(MouseEvent e) {}
	public void mouseExited(MouseEvent e) {}
}
public class MouseClickTest {
	public static void main(String[] args) {
		MouseEventTestFrame f = new MouseEventTestFrame();

		f.show();
	}
}
