import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Color;
import javax.swing.JFrame;
import javax.swing.JButton;

public class EventTest extends JFrame implements ActionListener {
	private JButton whiteButton;
	private JButton blackButton;
	private Container c;

	public EventTest() {
		super();
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle("Event TEST");
		setSize(400,300);
		c = getContentPane();

		whiteButton = new JButton("white");
		blackButton = new JButton("black");

		whiteButton.addActionListener(this);
		blackButton.addActionListener(this);
		c.setLayout(new FlowLayout());
		c.add(whiteButton);
		c.add(blackButton);
	}
	public static void main(String[] args) {
		EventTest et = new EventTest();

		et.show();
	}
	public void actionPerformed(ActionEvent e) {
		Color col = getBackground();

		if (e.getSource() == whiteButton) {
			col = Color.white;
		} else if (e.getSource() == blackButton) {
			col = Color.black;
		}
		c.setBackground(col);
		repaint();
	}
}
