import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.File;

class FileCopy {
	public static void main(String[] args) {
		FileInputStream fin = null;
		FileOutputStream fout = null;
		byte[] buff = new byte[4096];

		String inFileName = args[0];
		File in = new File(inFileName);

		String outFileName = args[1];
		File out = new File(outFileName);

		try {
			fin = new FileInputStream(in);
			fout = new FileOutputStream(out);

			int len;
			while ((len = fin.read(buff, 0, 4096)) != -1) {
				fout.write(buff, 0, len);
			}
		} catch (Exception e) {
			System.out.println("ԡ");
		}
		finally {
			try {
				fin.close();
				fout.close();
			} catch (Exception e) {}
		}
	}
}
