class FractionWithSimplify1 extends Fraction {
	FractionWithSimplify1() {
		bunsi = 0;
		bunbo = 1;
	}
	FractionWithSimplify1(int n) {
		bunsi = n;
		bunbo = 1;
	}
	FractionWithSimplify1(int n, int d) {
		bunsi = n;
		bunbo = d;
	}
	void simplify() {
		int gcd;
		int abs_n, abs_d;

		abs_n = StrictMath.abs(this.bunsi);
		abs_d = StrictMath.abs(this.bunbo);

		if (abs_d < abs_n) {
			gcd = abs_n;
		} else {
			gcd = abs_d;
		}

		do {
			if (gcd <= 1) return;
			gcd--;
		} while ((this.bunbo % gcd != 0) || (this.bunsi % gcd != 0));

		this.bunbo /= gcd;
		this.bunsi /= gcd;
	}
}
