class FractionWithSimplify2 extends Fraction {
	FractionWithSimplify2() {
		bunsi = 0;
		bunbo = 1;
		this.simplify();
	}
	FractionWithSimplify2(int n) {
		bunsi = n;
		bunbo = 1;
		this.simplify();
	}
	FractionWithSimplify2(int n, int d) {
		bunsi = n;
		bunbo = d;
		this.simplify();
	}
	void simplify() {
		int gcd;
		int abs_n, abs_d;

		abs_n = StrictMath.abs(this.bunsi);
		abs_d = StrictMath.abs(this.bunbo);

		if (abs_d < abs_n) {
			gcd = abs_n;
		} else {
			gcd = abs_d;
		}
		do {
			if (gcd <= 1) return;
			gcd--;
		} while ((this.bunbo % gcd != 0) || (this.bunsi % gcd != 0));

		this.bunbo /= gcd;
		this.bunsi /= gcd;
	}
	Fraction add(int num) {
		this.bunsi += this.bunbo * num;
		this.simplify();
		return this;
	}
	FractionWithSimplify2 add(FractionWithSimplify2 f) {
		this.bunsi = this.bunsi * f.bunbo + this.bunbo * f.bunsi;
		this.bunbo *= f.bunbo;
		this.simplify();
		return this;
	}
}
