import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.File;
import java.util.zip.GZIPOutputStream;

class JZip {
	public static void main(String[] args) {
		FileInputStream fin = null;
		GZIPOutputStream gzout = null;
		byte[] buff = new byte[4096];

		String fileName = args[0];
		File in = new File(fileName);

		String outFileName = fileName + ".gz";

		try {
			fin = new FileInputStream(in);
			FileOutputStream fout = new FileOutputStream(outFileName);
			gzout = new GZIPOutputStream(fout,4096);

			int len;
			while ((len=fin.read(buff,0,4096)) != -1) {
				gzout.write(buff, 0, len);
			}
		} catch (Exception e) { }
		finally {
			try {
				if (gzout != null) {
					gzout.close();
				}
				if (fin != null) {
					fin.close();
				}
			} catch (Exception e) {}
		}
	}
}
