import java.io.FileReader;
import java.io.BufferedReader;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.io.IOException;

class Lister3 {
	public static void main(String[] args) {
		FileReader fr;
		FileWriter fw;

		try {
			fr = new FileReader(args[0]);
		} catch (IOException e) {
			System.out.println("File can not open!");
			fr = null;
		}

		try {
			fw = new FileWriter(args[0] + ".list");
		} catch (IOException e) {
			System.out.println("File can not open!");
			fw = null;
		}

		try {
			BufferedReader in = new BufferedReader(fr);
			PrintWriter out = new PrintWriter(fw);

			String s;
			int col = 1;
			while ((s = in.readLine()) != null) {
				if (col < 10) {
					s = "0" + col + ":" + s;
				} else {
					s = col + ":"+ s;
				}
				System.out.println(s);
				out.println(s);
				col++;
			}
			fw.close();
			fr.close();
		} catch (Exception e) {}
	}
}
