import java.net.Socket;
import java.net.UnknownHostException;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.PrintWriter;
import java.io.IOException;

public class UpperCaseClient {
	public static void main(String[] args) {
		try {
			Socket socket = new Socket("localhost", 1000);
			InputStreamReader sisr = new InputStreamReader(socket.getInputStream());
			BufferedReader br = new BufferedReader(sisr);
			PrintWriter out = new PrintWriter(socket.getOutputStream(), true);

			InputStreamReader isr = new InputStreamReader(System.in);
			BufferedReader in = new BufferedReader(isr);

			while(true) {
				String inputLine = br.readLine();
				if (inputLine != null) {
					System.out.println("Server: " +	inputLine);
					if(inputLine.equals("Good bye!")) {
						break;
					}
				}
				String outputLine = in.readLine();
				out.println(outputLine);
			}
			socket.close();
		} catch (UnknownHostException e) {
			System.err.println("ۥȤ IP ɥ쥹ȽǤޤ: " + e);
		} catch (IOException e) {
			 System.err.println("顼ȯޤ: " + e);
		}
	}
}
